<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\SortierenDialog;

class SortierenDialogController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new SortierenDialogUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new \Kufer\Web\KuferTools\Basis\KursUebersicht\SortierenDialog\SortierenDialogRequest();
    $requestObj->sortOrderValue1 = \SessionOperations::getVarValueWTIntern('sortKurse_kr1_' . SortierenDialogUseCase::getToolId());
    $requestObj->sortOrderValue2 = \SessionOperations::getVarValueWTIntern('sortKurse_kr2_' . SortierenDialogUseCase::getToolId());

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new \Kufer\Web\KuferTools\Basis\KursUebersicht\SortierenDialog\SortierenDialogPresenter($pUseCaseResponse);
  }
}